package Gnome2::GConf::Install::Files;

$self = {
          'deps' => [
                      'Glib'
                    ],
          'inc' => '-pthread -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/uuid -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I./build ',
          'libs' => '-lgconf-2 -lglib-2.0',
          'typemaps' => [
                          'gconfperl.typemap',
                          'gconf.typemap'
                        ]
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Gnome2/GConf/Install/Files.pm") {
			$CORE = $_ . "/Gnome2/GConf/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		if ($lang ne 'C') {
			warn "Warning: Inline hints not available for $lang language
";
			return;
		}
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
